#{extends 'border.html'/}
<div class="container">
	
	#{form @masterdata.GrupRoleCtr.editSubmit(), method: 'POST', class:'form-horizontal'}
	
		<div class="row">
			<div class="col-md-12">
				<!-- Breadcrumb -->
				<ol class="breadcrumb">
					<li><a href="@{PublikCtr.home()}">&{'beranda.label'}</a></li>
					<li><a href="@{masterdata.GrupRoleCtr.index()}">&{'peran_pengguna.label'}</a></li>
					<li class="active">&{'ubah.label'} &{'peran.label'}</li>
				</ol>
				<!-- End Breadcrumb -->
			</div>
		</div>
		
		<div class="row">
			<div class="col-md-12">
				<!-- Toolbar -->
				<div class="toolbar">
					#{backButton /}
					#{saveButton /}
				</div>
				<!-- End Toolbar -->
			</div>
		</div>
		
		<div class="row">
			<div class="col-md-12">
				#{alert /}
				<input type="hidden" value="${userRoleGrup.id}" name="userRoleGrup.id">
				<div class="panel panel-default">
					<div class="panel-body">
						<ul class="nav nav-tabs" role="tablist">
							<li role="presentation" #{if active == 1 || active == null}class="active" #{/if}>
								<a href="#group-role" aria-controls="group-role" role="tab" data-toggle="tab">&{'grup_peran.label'}</a>
							</li>
							<li role="presentation" #{if active == 2}class="active" #{/if}>
								<a href="#komoditas" aria-controls="komoditas" role="tab" data-toggle="tab">&{'komoditas.label'}</a>
							</li>
							<li role="presentation" #{if active == 3}class="active" #{/if}>
								<a href="#paket" aria-controls="paket" role="tab" data-toggle="tab">&{'paket.label'}</a>
							</li>
						</ul>
						
						<div class="tab-content">
							<!-- Form Group Role -->
							#{include 'pl/form-user-role/tab-grouprole.html'/}
							<!-- End Form Group Role -->
							
							<!-- Form Komoditas -->
					        <div role="tabpanel" #{if active == 2}class="tab-pane active"#{/if}#{else}class="tab-pane"#{/else} id="komoditas">
                                <div class="#{errorClass 'komoditas' /}">
                                    <span class="help-block">#{error 'komoditas' /}</span>
                                </div>
								<div class="form-group">
					                <label class="col-md-2 control-label">&{'akses_komoditas.label'}</label>
					                <div class="col-md-9">
					                    <div class="radio">
					                        <label class="radio-inline">
					                        	<input type="radio" ${userRoleGrup.akses_seluruh_komoditas ? 'checked' : ''} name="userRoleGrup.akses_seluruh_komoditas" value="1" class="all-komoditas"> &{'semua.label'} &{'komoditas.label'}
					                        </label>
					                    </div>
					                    <div class="radio">
					                        <label class="radio-inline">
					                        	<input type="radio" ${!userRoleGrup.akses_seluruh_komoditas ? 'checked' : ''} name="userRoleGrup.akses_seluruh_komoditas" value="0" class="selected-komoditas"> &{'komoditas_tertentu.label'}
					                        </label>
					                    </div>
					                </div>
					            </div>
					            <div class="tabel-komoditas">
					                <table class="table table-condensed" id="tblUserRole">
					                    <thead>
					                    	<th><input type="checkbox" class="checkall_commodity"></th>
					                    	<th class="header-left">&{'nama_komoditas.label'}</th>
					                    </thead>
					                    <tbody>
											#{list komoditasList, as:'k'}
					                        <tr>
					                            <td width="25" class="commodity_td">
					                            	<input type="checkbox" name="komoditas_ids"
                                                           value="${k.id}" ${komoditasSelected?.contains(k.id) ? ' checked' : ''}>
												</td>
					                            <td>${k.nama_komoditas}</td>
					                        </tr>
											#{/list}
					                    </tbody>
					                </table>
					            </div>
					        </div>
					        <!-- End Form Komoditas -->
					        
					        <!-- Form Paket -->
					        <div role="tabpanel" #{if active == 3}class="tab-pane active"#{/if}#{else}class="tab-pane"#{/else} id="paket">
                                <div class="#{errorClass 'paket' /}">
                                    <span class="help-block">#{error 'paket' /}</span>
                                </div>
					        	<div class="form-group">
									<label class="col-md-2 control-label">&{'akses_paket.label'}</label>
									<div class="col-md-9">
										<div class="radio">
											<label class="radio-inline">
												<input type="radio" name="userRoleGrup.akses_seluruh_paket" value="1" ${userRoleGrup.akses_seluruh_paket ? 'checked' : ''} class="all-paket"> &{'semua.label'} &{'paket.label'}
											</label>
										</div>
										<div class="radio">
											<label class="radio-inline">
												<input type="radio" name="userRoleGrup.akses_seluruh_paket" value="0" ${!userRoleGrup.akses_seluruh_paket ? 'checked' : ''} class="selected-paket" id="specific_packages"> &{'paket_tertentu.label'}
											</label>
										</div>
									</div>
								</div>
								
								<div class="row tabel-paket">
									<div class="col-md-8">
										<div class="panel panel-default">
											<div class="panel-heading"><h5>&{'tambah.label'} &{'akses_paket.label'}</h5></div>
											<div class="panel-body">
												<form class="form-horizontal">
												
													<div class="form-group">
														<div class="row">
															<label class="control-label col-sm-3">&{'nomor.label'}/&{'nama_paket.label'}</label>
															<div class="col-sm-7">
																<input id="keyword" type="text" class="form-control" placeholder="No/Nama Paket"/>
															</div>
														</div>
													</div>
													
													<div class="form-group">
														<div class="row">
															<label class="control-label col-sm-3">&{'komoditas.label'}</label>
															<div class="col-sm-7">
																<select class="form-control select2" id="komoditas" style="width: 100%">
																	<option value="0">&{'pilih_semua.label'}</option>
																		#{list komoditasList, as:'komoditas'}
																			<option value="${komoditas.id}">${komoditas.nama_komoditas}</option>
																		#{/list}
																</select>
															</div>
														</div>
													</div>
													
													<div class="row">
														<div class="col-sm-7 col-sm-offset-3">
															<button id="search_packages" type="button" class="btn btn-sm btn-primary">&{'cari.label'} &{'paket.label'}</button>
														</div>
													</div>
												</form>
												
												<table class="table table-condensed" id="tblPaket">
													<thead>
														<tr>
															<th>&{'id.label'}</th>
															<th>&{'paket.label'}</th>
															<th></th>
														</tr>
													</thead>
												</table>
											</div>
										</div>
									</div>
									
									<div class="col-md-4">
										<div class="panel panel-default">
											<div class="panel-heading"><h5>&{'daftar_paket_terpilih.label'}</h5></div>
											<div class="panel-body">
												<table class="table" id="selected_package">
													<thead>
														<tr>
															<th>&{'id.label'}</th>
															<th>&{'nama.label'}</th>
															<th></th>
														</tr>
													</thead>
													<tbody>
														#{list listPaket, as:'paket'}
															<tr>
																<td>${paket.paket_id}</td>
																<td>${paket.nama_paket}</td>
																<td>
																	<button type="button" class="remove_package btn btn-danger" paketId="${paket.paket_id}"><i class="fa fa-trash"></i></button>
																</td>
															</tr>
														#{/list}
													</tbody>
												</table>
											</div>
										</div>
										<div id="added_package">
											#{list listPaket, as: 'paket'}
												<input type="hidden" name="paket_ids" value="${paket.paket_id}" />
											#{/list}
										</div>
									</div>
								</div>
					        </div>
					        <!-- End Form Paket -->
						</div>

					</div>
				</div>
			</div>
		</div>
	
	#{/form}
	
</div>

#{set 'moreScripts'}
    <script type="text/javascript">

        var params = {};
        params['searchUrl'] = '@{purchasing.PaketCtr.searchPackages()}';
        var paket_ids = ${paketIds};

        jQuery(document).ready(function($) {

            jQuery(function () {
                jQuery.getScript('/public/javascripts/paket/searchpackage.js');
            });

        });
        
    </script>
#{/set}